Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMNameSpaceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException
                              |
                              +--com.sun.wbem.cim.CIMNameSpaceException

public class CIMNameSpaceException
extends CIMSemanticException

The CIMNameSpaceException class represents an error condition that occurs in a CIM namespace. Errors occur when the CIM Object Manager encounters an error that does not adhere to the guidelines of the CIM Specification. The CIM Object manager returns an error message, or exception, to the provider/application which caused the error.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Fields inherited from class com.sun.wbem.cim.CIMSemanticException
`INVALID_QUALIFIER_NAME, NO_QUALIFIER_VALUE, NO_SUCH_QUALIFIER1, NO_SUCH_QUALIFIER2, QUALIFIER_UNOVERRIDABLE, SCOPE_ERROR, TYPE_ERROR`

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMNameSpaceException()` Creates a CIMNameSpaceException with no detail message.
`CIMNameSpaceException(java.lang.String s)` Creates a CIMNameSpaceException with the specified message.
`CIMNameSpaceException(java.lang.String s, java.lang.Object param)` Creates a CIMNameSpaceException with the specified message and one exception parameter.
`CIMNameSpaceException(java.lang.String s, java.lang.Object[] param)` Creates a CIMNameSpaceException with the specified message and an array of exception parameters.
`CIMNameSpaceException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMNameSpaceException with the specified message and two exception parameters.
`CIMNameSpaceException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMNameSpaceException with the specified message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMNameSpaceException

    public CIMNameSpaceException()

  Creates a CIMNameSpaceException with no detail message.

### CIMNameSpaceException

    public CIMNameSpaceException(java.lang.String s)

  Creates a CIMNameSpaceException with the specified message.
  Parameters:
    `s` - the detail message.

### CIMNameSpaceException

    public CIMNameSpaceException(java.lang.String s,
                                 java.lang.Object param)

  Creates a CIMNameSpaceException with the specified message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - Exception parameter.

### CIMNameSpaceException

    public CIMNameSpaceException(java.lang.String s,
                                 java.lang.Object param1,
                                 java.lang.Object param2)

  Creates a CIMNameSpaceException with the specified message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMNameSpaceException

    public CIMNameSpaceException(java.lang.String s,
                                 java.lang.Object param1,
                                 java.lang.Object param2,
                                 java.lang.Object param3)

  Creates a CIMNameSpaceException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMNameSpaceException

    public CIMNameSpaceException(java.lang.String s,
                                 java.lang.Object[] param)

  Creates a CIMNameSpaceException with the specified message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD